DAO

## Class PersonneDAO

- java.lang.Object
- - DAO.PersonneDAO

-     public class PersonneDAO
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PersonneDAO()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `ajouter_profil(Personne personne, int idprofil)` Methode ajouter Profil.
    `int` | `get_Id_Personne(java.lang.String nom, java.lang.String prenom)` Methode get id Personne.
    `java.util.List<Personne>` | `getListePersonne()` Permet de récuperer toutes personnes stockés de la table personne par profil
    `Personne` | `getPersonne(java.lang.String nom, java.lang.String prenom)` Methode get Personne.
    `int` | `inserer_personne(Personne personne)` Methode inserer Personne.
    `static void` | `main(java.lang.String[] args)`
    `int` | `modifier_personne(Personne personne1, java.lang.String nom, java.lang.String prenom)` Methode modifier Personne.
    `int` | `supprimer_personne(Personne personne)` Methode supprimer Personne.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PersonneDAO

          public PersonneDAO()

  - ### Method Detail

    - #### inserer_personne

          public int inserer_personne(Personne personne)

      Methode inserer Personne.
      Parameters:
        `Une` - personne
      Returns:
        retourne un message de confirmation d'ajout

    - #### supprimer_personne

          public int supprimer_personne(Personne personne)

      Methode supprimer Personne.
      Parameters:
        `Une` - personne
      Returns:
        retourne un message de confirmation de suppression

    - #### getPersonne

          public Personne getPersonne(java.lang.String nom,
                                      java.lang.String prenom)

      Methode get Personne.
      Parameters:
        `Un` - nom et un prenom
      Returns:
        retourne une personne

    - #### get_Id_Personne

          public int get_Id_Personne(java.lang.String nom,
                                     java.lang.String prenom)

      Methode get id Personne.
      Parameters:
        `Un` - nom et un prenom
      Returns:
        retourne un entier correspondant a l'id

    - #### modifier_personne

          public int modifier_personne(Personne personne1,
                                       java.lang.String nom,
                                       java.lang.String prenom)

      Methode modifier Personne.
      Parameters:
        `Une` - personne, un nom et un prenom
      Returns:
        retourne un message de confirmation de modification

    - #### ajouter_profil

          public int ajouter_profil(Personne personne,
                                    int idprofil)

      Methode ajouter Profil.
      Parameters:
        `Une` - personne et un id du profil
      Returns:
        retourne un message de confirmation d'ajout

    - #### getListePersonne

          public java.util.List<Personne> getListePersonne()

      Permet de récuperer toutes personnes stockés de la table personne par profil
      Returns:
        une ArrayList de personnes

    - #### main

          public static void main(java.lang.String[] args)
                           throws java.sql.SQLException

      Throws:
        `java.sql.SQLException`